import React from 'react';
import { Option } from 'tw-react';
interface Props {
    options: Option[];
    searchTerm?: string;
    selectedOptionValue?: string;
    selectedOptionsValues?: string[];
    handleSelection?: (option: Option | null) => void;
    handleSelections?: (option: Option[] | null) => void;
    multi?: boolean;
}
declare const useDropdown: (props: Props) => {
    value: string;
    handleInput: (passedValue: string) => void;
    handleOptionSelect: (option: Option) => void;
    filterItems: (filterQuery: string, passedOptions?: Option[]) => void;
    handleDropdownKeyDown: (event: React.KeyboardEvent<HTMLDivElement>) => void;
    setHighlightedIndex: (newIndex: number) => void;
    handleSearchChange: (val: string) => void;
    handleEscape: (e: KeyboardEvent) => void;
    handleChevronDownClick: () => void;
    handleTabOff: () => void;
    clearSelection: () => void;
    clearSingleSelectedOption: () => void;
    updateSearchTerm: (val: string) => void;
    closeDropdown: () => void;
    openDropdown: () => void;
    toggleDropdownOpen: () => void;
    handleCloseIconClick: () => void;
    clearAllMultiSelectedOptions: () => void;
    handleMultiOptionRemove: (option: Option) => void;
    dropdownRef: React.MutableRefObject<any>;
    dropdownOpen: boolean;
    searchTerm: string;
    filteredOptions: Option[];
    allOptions: Option[];
    singleSelectedOption: Option;
    highlightedIndex: number;
    multiSelectedOptions: Option[];
};
export default useDropdown;
